<?php 

if (basename(__FILE__) == basename($_SERVER['PHP_SELF']))
{
    exit(0);
}

echo '<?xml version="1.0" encoding="utf-8"?>';

?>


<?php include('config.php') ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title><?php echo ($title) ?></title>
<meta name="description" content="<?php echo $metadescription; ?>" />
<meta name="keywords" content="<?php echo $metakeywords; ?>" />
<link href="default.css" rel="stylesheet" type="text/css" media="all" title="Default Theme"/>
<style type="text/css">
<!--
.style2 {color: #FF6600}
-->
</style>
<script type="text/javascript">
<!--
	function showhide(targetID) {
		//change target element mode
		var elementmode = document.getElementById(targetID).style;
		elementmode.display = (!elementmode.display) ? 'none' : '';
	}

	function changetext(changee,oldText,newText) {
		//changes text in source element
		var elementToChange = document.getElementById(changee);
		elementToChange.innerHTML = (elementToChange.innerHTML == oldText) ? newText : oldText;
	}

	function workforchange(targetID,sourceID,oldContent,newContent) {
		showhide(targetID);
		changetext(sourceID,oldContent,newContent);
	}

	// Cruft note: The content of "oldContent," the third argument of the
	// workforchange() function, must match the existing content of the changer text.

// -->
</script>
</head>
<body>
<div id="header">
	<div id="logo">
		<h1><?php echo ($title) ?></h1>
		<h2>by <a href="http://www.proxystash.org/"> Proxy Blog</a></h2>
	</div>
	<div id="search">
		<form id="searchform" method="get" action="">
			<fieldset>
			<legend>Search</legend>
			<input id="searchinput" type="text" name="searchinput" value="Type your search here" />
			<input id="searchsubmit" type="submit" value="Search" />
			</fieldset>
		</form>
	</div>
</div>
<div id="menu">
	<ul>
          
		<li><a href="#">Home</a></li>
		<li><a href="http://www.proxystash.org">Proxy Blog</a></li>
		<li><a href="http://www.blingyproxy.com">Unblock Myspace</a></li>
		<li><a href="http://www.blingymyspace.com">Myspace Generators</a></li>
		
	</ul>
</div>

<hr />
<div id="page">
	<div id="content">
		<div>
			<h1 class="title">Welcome to ProxyStash!</h1>
			<p><?php echo $description ?></p>
            <br /> <?php echo $adcode2 ?>
			<p><?php

switch ($data['category'])
{
    case 'auth':
?>
<?php
        break;
    case 'error':
        echo '<div id="error"><p>';
        
        switch ($data['group'])
        {
            case 'url':
                echo '<b>URL Error (' . $data['error'] . ')</b>: ';
                switch ($data['type'])
                {
                    case 'internal':
                        $message = 'Failed to connect to the specified host. '
                                 . 'Possible problems are that the server was not found, the connection timed out, or the connection refused by the host. '
                                 . 'Try connecting again and check if the address is correct.';
                        break;
                    case 'external':
                        switch ($data['error'])
                        {
                            case 1:
                                $message = 'The URL you\'re attempting to access is blacklisted by this server. Please select another URL.';
                                break;
                            case 2:
                                $message = 'The URL you entered is malformed. Please check whether you entered the correct URL or not.';
                                break;
                        }
                        break;
                }
                break;
            case 'resource':
                echo '<b>Resource Error:</b> ';
                switch ($data['type'])
                {
                    case 'file_size':
                        $message = 'The file your are attempting to download is too large.<br />'
                                 . 'Maxiumum permissible file size is <b>' . number_format($GLOBALS['_config']['max_file_size']/1048576, 2) . ' MB</b><br />'
                                 . 'Requested file size is <b>' . number_format($GLOBALS['_content_length']/1048576, 2) . ' MB</b>';
                        break;
                    case 'hotlinking':
                        $message = 'It appears that you are trying to access a resource through this proxy from a remote Website.<br />'
                                 . 'For security reasons, please use the form below to do so.';
                        break;
                }
                break;
        }
        
        echo 'An error has occured while trying to browse through the proxy. <br />' . $message . '</p></div>';
        break;
}
?>
  <form method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>">
    <ul id="form">
      
      <label>Web Address 
      <input name="<?php echo $GLOBALS['_config']['url_var_name'] ?>" type="text" id="searchinput" onblur="if (value == '') {value = 'http://www.'}" onfocus="if (value == 'http://www.') {value =''}" size="32" />
      </label> <input id="searchsubmit" type="submit" value="Browse" /> 
      <a href="javascript:workforchange('adv','showadv',' More Options','Hide Options');" id='showadv'> More Options</a>
	<div id='adv' style='display:none'>
	  
	  <?php
      
      foreach ($GLOBALS['_flags'] as $flag_name => $flag_value)
      {
          if (!$GLOBALS['_frozen_flags'][$flag_name])
          {
              echo '<li class="option"><label><input type="checkbox" name="' . $GLOBALS['_config']['flags_var_name'] . '[' . $flag_name . ']"' . ($flag_value ? ' checked="checked"' : '') . ' />' . $GLOBALS['_labels'][$flag_name][1] . '</label></li>' . "\n";
          }
      }
      ?>
    </ul>
  </form></p>
		</div>
		<div class="twocols">
		  <div class="col1">
				<h2 class="title"></h2>
				<p>
                <?php echo $adcode1; ?>
                </p>
				<p></p>
			</div>
			
		</div>
	</div>
	<div id="sidebar">
		<ul>
			<li>
				<h2>Our Proxy Network</h2>
				<ul>
					<li>
						<p><a href="http://www.proxystash.org">Proxy Templates</a></p>
						<p><a href="http://www.blingyproxy.com">Unblock Myspace</a></p>
                        <p><a href="http://wwww.blingymyspace.com">Myspace Generators</a></p>
					</li>
					
				</ul>
		  </li>
			<li>
				<h2>Advertisement</h2>
				<ul>
					<li><?php echo $adcode3 ?></li>
				</ul>
			</li>
		</ul>
	</div>
	<div style="clear: both;">&nbsp;</div>
</div>
<hr />
<div id="footer">
	<p id="legal">Copyright &copy; 2008 <a href="<?php ('baseurl') ?>"><?php echo ($title) ?></a>. All Rights Reserved </p>
	<p class="f"><strong> Designed by <a href="http://www.muzhda.com/" title="Afghanistan Web Design" class="flinks style2">Afghanistan Web Design</a> Coded by <a href="http://www.proxystash.org" title="Proxy Blog" class="flinks style2">Proxy Blog</a></strong></p>
</div>
</body>
</html>
